> ## Documentation Index
> Fetch the complete documentation index at: https://developers.untetherlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

#  Archive Appointment Type



## OpenAPI

````yaml /openapi.json delete /v1/appointment-types/{appointmentTypeId}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Untether Labs API
servers:
  - url: https://app.untetherlabs.com/api
    description: Untether Labs Production API
    x-speakeasy-server-id: production
security:
  - BearerAuth: []
paths:
  /v1/appointment-types/{appointmentTypeId}:
    delete:
      summary: ' Archive Appointment Type'
      operationId: v1_appointment-types__appointmentTypeId__archiveAppointmentType
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: appointmentTypeId
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppointmentType'
        '400':
          description: >-
            We follow the
            [RFC-9457](https://www.rfc-editor.org/rfc/rfc9457.html) Problem
            Detail specification for error responses.


            Errors should be identified by their `type` field. You can view
            extensions for each error response below.
          content:
            application/problem+json:
              schema:
                oneOf:
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          path:
                            type: string
                          message:
                            type: string
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#validation
                          title:
                            type: string
                            example: Input validation failed.
                        required:
                          - message
                          - type
                          - title
                    title: Validation
        '404':
          description: >-
            We follow the
            [RFC-9457](https://www.rfc-editor.org/rfc/rfc9457.html) Problem
            Detail specification for error responses.


            Errors should be identified by their `type` field. You can view
            extensions for each error response below.
          content:
            application/problem+json:
              schema:
                oneOf:
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#appointment-type-not-found
                          title:
                            type: string
                            example: >-
                              A specified appointmenttype does not exist in the
                              system.
                        required:
                          - type
                          - title
                    title: AppointmentType Not Found
components:
  schemas:
    AppointmentType:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        length:
          type: integer
          description: in minutes
        allowedRoles:
          type:
            - array
            - 'null'
          items:
            type: string
            format: uuid
          description: >-
            Roles which are considered for this appointment type. Null means any
            role is allowed.
        skillRequirement:
          $ref: '#/components/schemas/NullableSkillRequirement'
      required:
        - id
        - name
        - length
        - allowedRoles
      additionalProperties: {}
      id: AppointmentType
      x-speakeasy-group: v1.appointment-types
    NullableSkillRequirement:
      anyOf:
        - $ref: '#/components/schemas/SkillRequirementCondition'
        - $ref: '#/components/schemas/SkillRequirementGroup'
        - type: 'null'
      x-speakeasy-group: v1.settings.skill-requirement-templates
    SkillRequirementCondition:
      type: object
      properties:
        type:
          type: string
          enum:
            - equal
        skill:
          type: string
          minLength: 1
        value:
          type: string
      required:
        - type
        - skill
        - value
      x-speakeasy-group: v1.settings.skill-requirement-templates
    SkillRequirementGroup:
      type: object
      properties:
        type:
          type: string
          enum:
            - and
            - or
          x-fern-enum:
            and: {}
            or: {}
        entries:
          type: array
          items:
            anyOf:
              - $ref: '#/components/schemas/SkillRequirementCondition'
              - $ref: '#/components/schemas/SkillRequirementNestedGroup'
          minItems: 1
      required:
        - type
        - entries
      x-speakeasy-group: v1.settings.skill-requirement-templates
    SkillRequirementNestedGroup:
      type: object
      properties:
        type:
          type: string
          enum:
            - and
            - or
          x-fern-enum:
            and: {}
            or: {}
        entries:
          type: array
          items:
            $ref: '#/components/schemas/SkillRequirementCondition'
          minItems: 1
      required:
        - type
        - entries
      x-speakeasy-group: v1.settings.skill-requirement-templates
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````